com.aliyun.svideosdk.common.struct.project

## Class Config

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Config

-     public class Config
      extends java.lang.Object

  工程配置 v3.23.0 新增

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAudioChannel()` 获取音频通道数
    `int` | `getAudioSampleRate()` 获取采样率
    `int` | `getBackgroundColor()` 获取背景填充颜色
    `int` | `getBitrate()` 获取码率
    `int` | `getCrf()` 获取 crf
    `int` | `getDisplayMode()` 获取视频显示模式
    `int` | `getFps()` 获取帧率
    `int` | `getGop()` 获取GOP大小
    `int` | `getOutputHeight()` 获取视频输出高度
    `int` | `getOutputWidth()` 获取视频输出的宽度
    `float` | `getScale()` 获取缩放比
    `int` | `getVideoCodec()` 获取编码格式
    `int` | `getVideoQuality()` 获取视频质量
    `int` | `getVolume()` 获取音量大小
    `boolean` | `isMute()` 是否静音
    `void` | `setAudioChannel(int channel)` 设置音频通道数
    `void` | `setAudioSampleRate(int sampleRate)` 设置采样率
    `void` | `setBackgroundColor(int backgroundColor)` 设置背景填充颜色，只有在DisplayMode为`VideoDisplayMode.FILL`时才有效
    `void` | `setBitrate(int bitrate)` 设置码率
    `void` | `setCrf(int crf)` 设置ffmpeg crf值
    `void` | `setDisplayMode(int displayMode)` 设置视频显示模式
    `void` | `setFps(int fps)` 设置帧率
    `void` | `setGop(int gop)` 设置GOP大小
    `void` | `setMute(boolean mute)`
    `void` | `setOutputHeight(int outputHeight)` 设置视频输出高度
    `void` | `setOutputWidth(int outputWidth)` 设置视频输出宽度
    `void` | `setScale(float scale)` 设置缩放比
    `void` | `setVideoCodec(int videoCodec)` 设置编码格式
    `void` | `setVideoQuality(int videoQuality)` 设置视频质量
    `void` | `setVolume(int volume)` 设置音量

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Config

          public Config()

  - ### Method Detail

    - #### getGop

          public int getGop()

      获取GOP大小
      Returns:
        GOP数值

    - #### setGop

          public void setGop(int gop)

      设置GOP大小
      Parameters:
        `gop` - 设置GOP大小，该参数在硬编模式下不能精确应用于视频，如果对该参数敏感，请使用软编

    - #### getVideoQuality

          public int getVideoQuality()

      获取视频质量
      Returns:
        视频质量 `VideoQuality`

    - #### setVideoQuality

          public void setVideoQuality(int videoQuality)

      设置视频质量
      Parameters:
        `videoQuality` - 视频质量`VideoQuality`

    - #### getBitrate

          public int getBitrate()

      获取码率
      Returns:
        码率值

    - #### setBitrate

          public void setBitrate(int bitrate)

      设置码率
      Parameters:
        `bitrate` - 码率

    - #### getFps

          public int getFps()

      获取帧率
      Returns:
        帧率 int型

    - #### setFps

          public void setFps(int fps)

      设置帧率
      Parameters:
        `fps` - 帧率 范围 [1 - 120]

    - #### getCrf

          public int getCrf()

      获取 crf
      Returns:
        返回crf值

    - #### setCrf

          public void setCrf(int crf)

      设置ffmpeg crf值
      Parameters:
        `crf` - 视频质量因子，ffmpeg编码方式下有效，该值越小，视频清晰度越高，同时生成的文件大小越大。默认 23

    - #### getVideoCodec

          public int getVideoCodec()

      获取编码格式
      Returns:
        编码格式 `VideoCodecs`

    - #### setVideoCodec

          public void setVideoCodec(int videoCodec)

      设置编码格式
      Parameters:
        `videoCodec` - 编码格式 `VideoCodecs`

    - #### getScale

          public float getScale()

      获取缩放比
      Returns:
        缩放比

    - #### setScale

          public void setScale(float scale)

      设置缩放比
      Parameters:
        `scale` - 输出视频缩放比，范围[0 - 1],该参数的目的是编辑的时候可以用高分辨率显示，输出的视频可以是低分辨率

    - #### getOutputWidth

          public int getOutputWidth()

      获取视频输出的宽度
      Returns:
        视频输出宽度

    - #### setOutputWidth

          public void setOutputWidth(int outputWidth)

      设置视频输出宽度
      Parameters:
        `outputWidth` - 视频输出宽度

    - #### getOutputHeight

          public int getOutputHeight()

      获取视频输出高度
      Returns:
        视频输出高度

    - #### setOutputHeight

          public void setOutputHeight(int outputHeight)

      设置视频输出高度
      Parameters:
        `outputHeight` - 视频输出高度

    - #### isMute

          public boolean isMute()

      是否静音
      Returns:
        是否静音

    - #### setMute

          public void setMute(boolean mute)

    - #### getVolume

          public int getVolume()

      获取音量大小
      Returns:
        音量大小

    - #### setVolume

          public void setVolume(int volume)

      设置音量
      Parameters:
        `volume` - 音量大小

    - #### getBackgroundColor

          public int getBackgroundColor()

      获取背景填充颜色
      Returns:
        背景填充颜色

    - #### setBackgroundColor

          public void setBackgroundColor(int backgroundColor)

      设置背景填充颜色，只有在DisplayMode为`VideoDisplayMode.FILL`时才有效
      Parameters:
        `backgroundColor` - 背景颜色值，8位int型，格式为ARGB
      See Also:
        `VideoDisplayMode`

    - #### getDisplayMode

          public int getDisplayMode()

      获取视频显示模式
      Returns:
        显示模式
      See Also:
        `VideoDisplayMode`

    - #### setDisplayMode

          public void setDisplayMode(int displayMode)

      设置视频显示模式
      Parameters:
        `displayMode` - 显示模式
      See Also:
        `VideoDisplayMode`

    - #### getAudioSampleRate

          public int getAudioSampleRate()

      获取采样率
      Returns:
        采样率

    - #### setAudioSampleRate

          public void setAudioSampleRate(int sampleRate)

      设置采样率
      Parameters:
        `sampleRate` - 音频采样率

    - #### getAudioChannel

          public int getAudioChannel()

      获取音频通道数
      Returns:
        通道数

    - #### setAudioChannel

          public void setAudioChannel(int channel)

      设置音频通道数
      Parameters:
        `channel` - 音频通道数